/*--------------------------------------------------------------------------
Program     : utl/qry/qry-brkby-report-test.p

Description :  Code to test the query manager "first-of/last-of"
               functionality in a report context

Copyright(c): Taylor Steel Inc. 2004 $n
Author      : Tim Kuehn
Created     : 9/7/2004 TAYLOR STEEL INC
Notes       :

PARAMETERS  : NA

--------Revision History---------------------------------------------------

	Last change: TDK 2006-08-08 09:42:16
--------------------------------------------------------------------------*/

{utl/qry/qry-mgr.spi    }

/****************************************************************************/
/* Local Variables */

DEFINE VARIABLE cur-query-handle                        AS HANDLE    NO-UNDO.
DEFINE VARIABLE cur-pp-handle                           AS HANDLE    NO-UNDO.

/****************************************************************************/

RUN utl/ppmgr/startmgr.p.
RUN utl/qry/qry-mgr.sp.                     /* Start the query manager      */

/****************************************************************************/

DEFINE QUERY q-customer                             /* Define the query     */
    FOR customer
    .

ASSIGN
    cur-query-handle = QUERY q-customer:HANDLE
    .

/****************************************************************************/

RUN open-qrymgr-query(  cur-query-handle,               /* Import it to the     */
                        "FOR EACH &1",                  /* manager and open it  */

                        "&1.country," +
                        "&1.postal-code",               /* with this sort order */

                        "").

/****************************************************************************/
/* Then run through the records */

OUTPUT
    TO VALUE("E:/tmp/customer.out")
    .

GET FIRST q-customer NO-LOCK.

REPEAT WHILE NOT QUERY-OFF-END("q-customer"):

    IF is-qrymgr-break-condition(cur-query-handle, "1.country", "first-of")  THEN
        PUT UNFORMATTED
            "this is the first country " customer.country               SKIP
            .


    IF is-qrymgr-break-condition(cur-query-handle, "1.postal-code",  "last-of")   THEN
        PUT UNFORMATTED
            "this is the last record for order " customer.postal-code   SKIP
            .


    GET NEXT q-customer NO-LOCK.

END.


OUTPUT CLOSE.

/****************************************************************************/
/* Cleanup after ourselves  */

RUN delete-qrymgr-query(cur-query-handle).

