/*--------------------------------------------------------------------------
Program     : utl/qry/qry-brkby-test.p

Description :  Code to test the query manager "first-of/last-of"
               functionality.

Copyright(c): Taylor Steel Inc. 2004 $n
Author      : Tim Kuehn
Created     : 9/7/2004 TAYLOR STEEL INC
Notes       :

PARAMETERS  : NA

--------Revision History---------------------------------------------------

	Last change: TDK 2006-08-08 09:46:39
--------------------------------------------------------------------------*/

{utl/qry/qry-mgr.spi    }

/****************************************************************************/
/* Local Variables */

DEFINE VARIABLE cur-query-handle                        AS HANDLE    NO-UNDO.
DEFINE VARIABLE cur-pp-handle                           AS HANDLE    NO-UNDO.

DEFINE VARIABLE is-break-met                            AS LOGICAL   NO-UNDO.

/****************************************************************************/

DEFINE QUERY q-customer                             /* Define the query     */
    FOR customer
    .

DEFINE BROWSE b-customer

    QUERY   q-customer
            NO-LOCK

    DISPLAY customer.country
            customer.postal-code

            is-qrymgr-break-condition(cur-query-handle, "1.country",    "first-of")  FORMAT "first/ "   COLUMN-LABEL "Ctry"
            is-qrymgr-break-condition(cur-query-handle, "1.country",    "last-of")   FORMAT "last/ "    COLUMN-LABEL "Ctry"

            is-qrymgr-break-condition(cur-query-handle, "1.postal-code","first-of")  FORMAT "first/ "   COLUMN-LABEL "Postal"
            is-qrymgr-break-condition(cur-query-handle, "1.postal-code","last-of")   FORMAT "last/ "    COLUMN-LABEL "Postal"

    WITH 12 DOWN
        NO-BOX.

DEFINE FRAME f-customer
        b-customer
    WITH OVERLAY.

/****************************************************************************/

RUN utl/ppmgr/startmgr.p.
RUN utl/qry/qry-mgr.sp.                     /* Start the query manager      */

/****************************************************************************/

ASSIGN
    cur-query-handle = QUERY q-customer:HANDLE
    .

/****************************************************************************/

RUN open-qrymgr-query(  QUERY q-customer:HANDLE,
                        "FOR EACH &1",

                        "&1.country," +
                        "&1.postal-code",

                        "reposition").

ENABLE ALL
    WITH FRAME f-customer.

APPLY "entry"
    TO b-customer
    .

WAIT-FOR    GO,
            END-ERROR OF FRAME f-customer.

