/*--------------------------------------------------------------------------
Program     : utl/qry/qry-mgr-test.p

Description : Demonstrate the query manager using the "sports" database

Copyright(c): Taylor Steel Inc. 2004 Taylor Steel Inc.
Author      : Tim Kuehn
Created     : 8/24/2004 TAYLOR STEEL INC
Notes       :
       
--------Revision History---------------------------------------------------

	Last change: TDK 2006-08-08 10:03:07
----------------------------------------------------------------------------*/

/****************************************************************************/
/* External Files */

{utl/qry/qry-mgr.spi}

/****************************************************************************/

DEFINE QUERY q-customer-invoice                     /* Define the query     */
    FOR customer,
        invoice
    .

DEFINE BROWSE b-customer-invoice

    QUERY   q-customer-invoice
            NO-LOCK

    DISPLAY customer.cust-num
            customer.name
            customer.city
            invoice.invoice-date

    WITH 16 DOWN
        NO-BOX.

DEFINE FRAME f-customer-invoice
        b-customer-invoice
    WITH OVERLAY.

/****************************************************************************/

RUN utl/ppmgr/startmgr.p.
RUN utl/qry/qry-mgr.sp.

/****************************************************************************/
/* Import the browse into the manager   */


RUN import-qrymgr-browse(BROWSE b-customer-invoice:HANDLE).

    /* Set the join conditions          */

RUN set-qrymgr-query-buffer-join-spec(            BROWSE b-customer-invoice:QUERY,      1, "EACH", "").
RUN set-qrymgr-query-buffer-join-spec(            BROWSE b-customer-invoice:QUERY,      2, "EACH", "&1.cust-num = &2.cust-num").

    /* Add the filter condition         */

RUN add-qrymgr-query-buffer-search-spec-integer(    BROWSE b-customer-invoice:QUERY,    1, "cust-num", "=", 1, "").

    /* Open the query / browse          */

RUN open-qrymgr-query((QUERY q-customer-invoice:HANDLE),        /* Static query to import       */

                      "",                                       /* Search spec's already set    */

                      "&1.cust-num,"       +                    /* Sort order                   */
                      "&1.name",

                      "").                                      /* Flags                        */

/****************************************************************************/

ENABLE ALL
    WITH FRAME f-customer-invoice.

APPLY "entry"
    TO b-customer-invoice
    .

WAIT-FOR GO,
        END-ERROR OF FRAME f-customer-invoice.

/****************************************************************************/

    /* Cleanup the query manager        */

RUN delete-qrymgr-query(QUERY q-customer-invoice:HANDLE).

